Download it now!
Bug 81165 - in xls spreadsheet FILESAVE - dotted lines round cells print but then do not save
Summary: in xls spreadsheet FILESAVE - dotted lines round cells print but then do not...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Border
  Show dependency treegraph
 
Reported: 2014-07-10 09:57 UTC by Jacky Leman
Modified: 2019-05-14 03:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
attachment-25250-0.html (3.84 KB, text/html)
2014-07-10 14:06 UTC, Jacky Leman
Details
attachment-25250-1.dat (1 bytes, multipart/alternative)
2014-07-10 14:06 UTC, Jacky Leman
Details
Holidays July August 2014dot.xls (19.00 KB, application/vnd.ms-excel)
2014-07-10 14:06 UTC, Jacky Leman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jacky Leman 2014-07-10 09:57:56 UTC
dotted lines do not save although you can print them before saving.
If exported to pdf they again are lost.
Comment 1 Kevin Suo 2014-07-10 10:19:12 UTC
I tried both dotted "underline", "border", they all works as expected. 
Version: 4.3.0.2
OS: windows xp sp3.

Jacky Leman: 
* Could you please provide more clear steps and provide test document to reproduce this bug?
* Please state your libreoffice version and OS.

I set this to NEEDINFO. Please set it back to UNCONFIRMED if you have done the above.
Thanks.
Comment 2 Jacky Leman 2014-07-10 14:06:03 UTC
Created attachment 102541 [details]
attachment-25250-0.html

Version Version: 4.2.5.2     OS = Windows 7
Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5

I wanted dotted lines in my spreadsheet on every other column, between 
B&c, D&E etc
I clicked on whole of c column then I went to  format , cells, borders, 
clicked on LHS of square under user define, style dashes width 0.5, 
black and the line was shown as dashed.
I repeated for every other column.
I printed....all OK. dashes shown
I saved to pdf.......no dashes on pdf version
I saved & re-opened .....no dashes.
I repeated above in case I has made a mistake......same result.
Thanks Jacky
On 10/07/2014 11:19 AM, bugzilla-daemon@freedesktop.org wrote:
> Kevin Suo <mailto:suokunlong@gmail.com> changed bug 81165 
> <https://bugs.freedesktop.org/show_bug.cgi?id=81165>
> What 	Removed 	Added
> Status 	UNCONFIRMED 	NEEDINFO
> CC 		suokunlong@gmail.com
> Ever confirmed 		1
>
> *Comment # 1 <https://bugs.freedesktop.org/show_bug.cgi?id=81165#c1> 
> on bug 81165 <https://bugs.freedesktop.org/show_bug.cgi?id=81165> from 
> Kevin Suo <mailto:suokunlong@gmail.com> *
> I tried both dotted "underline", "border", they all works as expected.
> Version: 4.3.0.2
> OS: windows xp sp3.
>
> Jacky Leman:
> * Could you please provide more clear steps and provide test document to
> reproduce this bug?
> * Please state your libreoffice version and OS.
>
> I set this to NEEDINFO. Please set it back to UNCONFIRMED if you have done the
> above.
> Thanks.
> ------------------------------------------------------------------------
> You are receiving this mail because:
>
>   * You reported the bug.
>
Comment 3 Jacky Leman 2014-07-10 14:06:03 UTC
Created attachment 102542 [details]
attachment-25250-1.dat
Comment 4 Jacky Leman 2014-07-10 14:06:03 UTC
Created attachment 102543 [details]
Holidays July August 2014dot.xls
Comment 5 Buovjaga 2014-11-25 10:42:33 UTC
(In reply to Jacky Leman from comment #2)
> Created attachment 102541 [details]
> attachment-25250-0.html
> 
> Version Version: 4.2.5.2     OS = Windows 7
> Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5
> 
> I wanted dotted lines in my spreadsheet on every other column, between 
> B&c, D&E etc
> I clicked on whole of c column then I went to  format , cells, borders, 
> clicked on LHS of square under user define, style dashes width 0.5, 
> black and the line was shown as dashed.
> I repeated for every other column.
> I printed....all OK. dashes shown
> I saved to pdf.......no dashes on pdf version
> I saved & re-opened .....no dashes.
> I repeated above in case I has made a mistake......same result.

Reproduced with attachment 102543 [details]: printing and export to PDF was ok, with dashes. However, reopening reset the border style back to how it was before my change.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: 772befa08f02b08da1ab493896a0744bc73781c7
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-11-23_22:39:02
Comment 6 QA Administrators 2015-12-20 16:15:49 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)
   https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 

4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-12-20
Comment 7 QA Administrators 2019-05-14 03:00:11 UTC
Dear Jacky Leman,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug